import { ChangeEvent } from 'react';
export * from './useFormActiveFields';
export * from './useParsedFilter';
export * from './useDataBlockSourceId';
export * from './useIsMobile';
export declare function filterByCleanedFields(mergeFilter: any): unknown;
export declare function getFormValues({ filterByTk, field, form, fieldNames, getField, resource, actionFields, }: {
    filterByTk: any;
    field: any;
    form: any;
    fieldNames: any;
    getField: any;
    resource: any;
    actionFields: any[];
}): any;
export declare function useCollectValuesToSubmit(): () => Promise<any>;
export declare const useInsertSchema: () => (ss: any) => void;
export declare const useCancelActionProps: () => {
    onClick(): Promise<void>;
};
export declare function getAfterWorkflows(triggerWorkflows: any[]): string | undefined;
export declare function getBeforeWorkflows(triggerWorkflows: any[]): string | undefined;
export declare const useCreateActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useAssociationCreateActionProps: () => {
    onClick(): Promise<void>;
};
export interface FilterTarget {
    targets?: {
        /** field uid */
        uid: string;
        /** associated field */
        field?: string;
    }[];
    uid?: string;
}
export declare const findFilterTargets: (fieldSchema: any) => FilterTarget;
export declare const updateFilterTargets: (fieldSchema: any, targets: FilterTarget["targets"]) => void;
export declare const useFilterBlockActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useResetBlockActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useCustomizeUpdateActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useCustomizeRequestActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useUpdateActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useDestroyActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useRemoveActionProps: (associationName: any) => {
    onClick(value: any): Promise<void>;
};
export declare const useDisassociateActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useDetailPrintActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useBulkDestroyActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useRefreshActionProps: () => {
    onClick(): Promise<void>;
};
export declare const useDetailsPaginationProps: () => {
    simple: boolean;
    hidden: boolean;
    current: any;
    total: any;
    pageSize: number;
    showSizeChanger: boolean;
    onChange(page: any): Promise<void>;
    style: {
        marginTop: number;
        textAlign: string;
    };
};
export declare const useAssociationFilterProps: () => {
    /** 渲染 Collapse 的列表数据 */
    list: {
        [key: string]: any;
    }[];
    onSelected: (value: any) => void;
    handleSearchInput: (e: ChangeEvent<any>) => void;
    params: any;
    run: (...params: any) => void;
};
export declare const useOptionalFieldList: () => import("../..").CollectionFieldOptions[];
export declare const useAssociationFilterBlockProps: () => {
    /** 渲染 Collapse 的列表数据 */
    list?: undefined;
    onSelected?: undefined;
    handleSearchInput?: undefined;
    params?: undefined;
    run?: undefined;
    valueKey?: undefined;
    labelKey?: undefined;
} | {
    /** 渲染 Collapse 的列表数据 */
    list: any;
    onSelected: (value: any) => void;
    handleSearchInput: any;
    params: any;
    run: any;
    valueKey: any;
    labelKey: any;
};
export declare function getAssociationPath(str: any): any;
export declare const useAssociationNames: (dataSource?: string) => {
    getAssociationAppends: () => {
        appends: any[];
        updateAssociationValues: any[];
    };
};
